Package org.apache.cayenne.access.translator.batch.legacy

# Class InsertBatchTranslator

java.lang.Object
org.apache.cayenne.access.translator.batch.legacy.DefaultBatchTranslator
org.apache.cayenne.access.translator.batch.legacy.InsertBatchTranslator

All Implemented Interfaces:
  `BatchTranslator`

@Deprecated public class InsertBatchTranslator extends DefaultBatchTranslator
Deprecated.
since 4.2
Translator of InsertBatchQueries.

- ## Field Summary

  ### Fields inherited from class org.apache.cayenne.access.translator.batch.legacy.DefaultBatchTranslator

  `adapter, bindings, query, sql, translated, trimFunction`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InsertBatchTranslator(InsertBatchQuery query, DbAdapter adapter)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected DbAttributeBinding[]`
  `createBindings()`
  Deprecated.
  `protected String`
  `createSql()`
  Deprecated.
  `protected DbAttributeBinding[]`
  `doUpdateBindings(BatchQueryRow row)`
  Deprecated.
  `protected boolean`
  `includeInBatch(DbAttribute attribute)`
  Deprecated.
  Returns true if an attribute should be included in the batch.

  ### Methods inherited from class org.apache.cayenne.access.translator.batch.legacy.DefaultBatchTranslator

  `appendDbAttribute, ensureTranslated, getBindings, getSql, updateBindings`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InsertBatchTranslator

    public InsertBatchTranslator(InsertBatchQuery query, DbAdapter adapter)
    Deprecated.

- ## Method Details

  - ### createSql

    protected String createSql()
    Deprecated.
    Specified by:
      `createSql` in class `DefaultBatchTranslator`

  - ### createBindings

    protected DbAttributeBinding[] createBindings()
    Deprecated.
    Specified by:
      `createBindings` in class `DefaultBatchTranslator`

  - ### doUpdateBindings

    protected DbAttributeBinding[] doUpdateBindings(BatchQueryRow row)
    Deprecated.
    Specified by:
      `doUpdateBindings` in class `DefaultBatchTranslator`

  - ### includeInBatch

    protected boolean includeInBatch(DbAttribute attribute)
    Deprecated.
    Returns true if an attribute should be included in the batch.
    Since:
      1.2